# OpalPluginFramedAudioTranscoder Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginFramedAudioTranscoder:

[legend]
Collaboration diagram for OpalPluginFramedAudioTranscoder:
[legend]

## Public Member Functions

| OpalPluginFramedAudioTranscoder (const PluginCodec_Definition *codecDefn, bool isEncoder)
bool | UpdateMediaFormats (const OpalMediaFormat &input, const OpalMediaFormat &output)
PBoolean | ExecuteCommand (const OpalMediaCommand &command)
PBoolean | ConvertFrame (const BYTE *input, PINDEX &consumed, BYTE *output, PINDEX &created)
virtual PBoolean | ConvertSilentFrame (BYTE *buffer)
virtual bool | AcceptComfortNoise () const

## Protected Attributes

bool | comfortNoise

## Constructor & Destructor Documentation

OpalPluginFramedAudioTranscoder::OpalPluginFramedAudioTranscoder | ( | const PluginCodec_Definition * | codecDefn,
|  | bool | isEncoder |
| ) |  |  |

## Member Function Documentation

virtual bool OpalPluginFramedAudioTranscoder::AcceptComfortNoise | ( |  | ) | const`[inline, virtual]`

Reimplemented from OpalTranscoder.

PBoolean OpalPluginFramedAudioTranscoder::ConvertFrame | ( | const BYTE * | input,
|  | PINDEX & | consumed,
|  | BYTE * | output,
|  | PINDEX & | created |
| ) |  |  | `[virtual]`

Reimplemented from OpalFramedTranscoder.

virtual PBoolean OpalPluginFramedAudioTranscoder::ConvertSilentFrame | ( | BYTE * | buffer | ) | `[virtual]`

Reimplemented from OpalFramedTranscoder.

PBoolean OpalPluginFramedAudioTranscoder::ExecuteCommand | ( | const OpalMediaCommand & | command | ) |

Reimplemented from OpalPluginTranscoder.

bool OpalPluginFramedAudioTranscoder::UpdateMediaFormats | ( | const OpalMediaFormat & | input,
|  | const OpalMediaFormat & | output |
| ) |  |  | `[virtual]`

Update the input and output media formats. This can be used to adjust the parameters of a codec at run time. Note you cannot change the basic media format, eg change GSM0610 to G.711, only options for that format, eg 6k3 mode to 5k3 mode in G.723.1. If the formats are different then a OpalMediaFormat::Merge() is performed.

If a format is empty (invalid) it is ignored and does not update the internal variable. In this way only the input or output side can be updated.

The default behaviour updates the inputMediaFormat and outputMediaFormat member variables.

Reimplemented from OpalFramedTranscoder.

## Field Documentation

bool OpalPluginFramedAudioTranscoder::comfortNoise `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h